Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ListPagingOptions

    public interface ListPagingOptions

Represents the paging options for a `ListPresentation`

Method Summary
`int` | `getMaxPages()` Returns the maximum number of pages to return
`int` | `getReadAhead()` Returns the number of pages to 'read ahead'
`int` | `getResultsPerPage()` Returns the number of results to show per page
`int` | `getStartPage()` Returns the start page
`void` | `setMaxPages(int p_maxPages)` Sets the maximum number of pages to return
`void` | `setReadAhead(int p_readAhead)` Sets the number of pages to 'read ahead'
`void` | `setResultsPerPage(int p_resultsPerPage)` Sets the number of results to show per page
`void` | `setStartPage(int p_startPage)` Sets the start page

Method Detail

### getResultsPerPage

    int getResultsPerPage()

  Returns the number of results to show per page

  Returns:
    the number of results to show per page

### setResultsPerPage

    void setResultsPerPage(int p_resultsPerPage)

  Sets the number of results to show per page

  If a value less than 1 is supplied, then the default value of '10' will be set

  Parameters:
    `p_resultsPerPage` - the number of results to show

### getStartPage

    int getStartPage()

  Returns the start page

  Returns:
    the page to start from

### setStartPage

    void setStartPage(int p_startPage)

  Sets the start page

  If a value less than 1 is supplied, then the default value of '1' will be set

  Parameters:
    `p_startPage` - the start page

### getMaxPages

    int getMaxPages()

  Returns the maximum number of pages to return

  Returns:
    the maximum number of pages to return

### setMaxPages

    void setMaxPages(int p_maxPages)

  Sets the maximum number of pages to return

  If a value less than 1 is supplied, then the default value of '10' will be set

  Parameters:
    `p_maxPages` - the maximum number of pages to return

### getReadAhead

    int getReadAhead()

  Returns the number of pages to 'read ahead'

  Used to store extra cache entries to ensure sufficient results after security filtering

  Returns:
    the number of pages to 'read ahead'

### setReadAhead

    void setReadAhead(int p_readAhead)

  Sets the number of pages to 'read ahead'

  If a value less than 1 is supplied, then the default value of '10' will be set

  For lists that don't show different results based on security, set the readahead to 1

  Parameters:
    `p_readAhead` - the number of pages to 'read ahead'

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD